#!/bin/sh
## generate_launch_script.sh for Vcsn in /home/loulou/enst/VGI
## 
## Made by Louis-Noel Pouchet
## Login   <loulou@lrde.epita.fr>
## 
## Started on  Sun Dec 26 04:37:12 2004 Louis-Noel Pouchet
## Last update Tue Jun 21 00:22:02 2005 Louis-Noel Pouchet
##

if [ $# -ne 5 ]; then
    echo "Usage: ./generate_launch_script.sh [base dir] [filename] [java] [classpath] [command]"
    exit 1;
fi

dir="$1"
filename="$dir/$2";
java="$3";
classpath="$dir/lib/jgraph.jar:$dir/lib/jgraphaddons.jar:$dir/lib/xercesImpl.jar:$dir/lib/xmlParserAPIs.jar:$dir/lib/vgitoolkit.jar:$dir/$4:."
command="$5";
cat << EOF > "$filename"
cd "$1"
$java -cp $classpath $command \$@
EOF
chmod 777 "$filename"
