//
// SALayout.java for vgi-dev in /GraphicalInterface/vgi/src/vgi
// 
// Made by Loulou Pouchet
// Contact: <loulou@lrde.epita.fr>
// 
// Started on  Sat Dec 10 20:23:07 2005 Loulou Pouchet
// Last update Sat Dec 10 20:23:36 2005 Loulou Pouchet
//

package vaucanson.vgitoolkit;


import org.jgraph.JGraph;
import org.jgraph.util.*;
import org.jgraph.layout.*;
import org.jgraph.graph.DefaultGraphModel;


public class SALayout extends LayoutTemplate
{
    public void		apply(VJGraph graph, Object[] cells) 
    {
	apply(graph);
    }


    public void		apply(VJGraph graph)
    {
	AnnealingLayoutAlgorithm alg = new AnnealingLayoutAlgorithm();
	AnnealingLayoutSettings s = 
	    (AnnealingLayoutSettings) alg.createSettings();
 	s.setLayoutUpdateEnabled(false);
	s.apply();
	alg.run(graph, DefaultGraphModel.getAll(graph.getModel()),
		DefaultGraphModel.getAll(graph.getModel()));
    }

}
