//
// VJToolKitConstants.java for vgi in /home/loulou/lrde_proj/vgi/src
//
// Made by Louis-Noel Pouchet
// Login   <loulou@lrde.epita.fr>
//
// Started on  Wed Mar  2 14:17:35 2005 Louis-Noel Pouchet
// Last update Tue Oct 16 16:42:35 2007 Guillaume
//


package vaucanson.vgitoolkit;


public class VJToolKitConstants
{
    public static final String		VCSN_PROG_NAME = "./vcsn-b";
    static String
	VAUCANSON_URL = "http://vaucanson.lrde.epita.fr";

    static String
	VAUCANSON_DTD = "http://vaucanson.lrde.epita.fr/vaucanson.xsd";


    // Constants for XML <labelType> tag.
    public static final String		XML_TAG_TYPE = "labelType";
    public static final String		XML_TYPE = "type";
    public static final String		XML_TYPE_DEFAULT = "free";
    public static final String		XML_GENERATORS = "generatorType";
    public static final String		XML_GENERATORS_DEFAULT = "letters";
    public static final String		XML_OPERATIONS = "operations";
    public static final String		XML_OPERATIONS_DEFAULT = "classical";
    public static final String		XML_SET = "set";
    public static final String		XML_SET_DEFAULT = "B";
    public static final String		LETTERS = "alphabet_type";
    public static final String		LETTERS_DEFAULT = "a, b";

    public static final String		XML_ALPHA_IN = "alpha_in";
    public static final String		XML_ALPHA_IN_DEFAULT = "a, b";
    public static final String		XML_ALPHA_OUT = "alpha_out";
    public static final String		XML_ALPHA_OUT_DEFAULT = "a, b";
    public static final String		XML_AUTOMATON_TYPE = "automaton_type";
    public static final String		XML_AUTOMATON_TYPE_DEFAULT =
								"Automaton";
    public static final String		XML_WEIGHT = "weight";
    public static final String		XML_WEIGHT_DEFAULT = "B";


    public static final int		CARDINAL_S = 1;
    public static final int		CARDINAL_W = 2;
    public static final int		CARDINAL_N = 4;
    public static final int		CARDINAL_E = 8;
    public static final int		CARDINAL_NE = 16;
    public static final int		CARDINAL_NW = 32;
    public static final int		CARDINAL_SE = 64;
    public static final int		CARDINAL_SW = 128;

    public static final int		NO_CARDINAL = 512;


    public static final int		ARROW_LENGTH = 40;

    public static boolean		REDRAW = false;

    public static final boolean		FINAL_TRANSITION = true;
    public static final boolean		INITIAL_TRANSITION = false;


    public static final int		MODE_SELECT = 0;
    public static final int		MODE_CREATE = 1;
    public static final int		MODE_ORDER = 2;
    public static final int		MODE_DRAG = 4;

    public static final int		LOOP_SIZE_NORMAL = 0;
    public static final int		LOOP_SIZE_SMALL = 1;

    public static final int		FRAME_SIZE_X = 640;
    public static final int		FRAME_SIZE_Y = 480;

    public static final int		WIDTH_GRAPH = 800;
    public static final int		HEIGHT_GRAPH = 600;

    public static final int		PIXEL_PER_CM = 21;

    public static final double		DEFAULT_EDGE_POS = 0.5;

    public static final String		TMP_FILENAME_1 = "/tmp/vgi_tmp_1.tmp";
    public static final String		TMP_FILENAME_2 = "/tmp/vgi_tmp_2.tmp";
}
