//
// GlobalLayout.java for Vcsn in /home/loulou/enst/VcsnInterface
//
// Made by Loulou Pouchet
// Login   <loulou@lrde.epita.fr>
//
// Started on  Wed Dec 29 14:46:07 2004 Loulou Pouchet
// Last update Sun Jun 26 04:57:02 2005 Louis-Noel Pouchet
//

package vaucanson.vgitoolkit;


import org.jgraph.JGraph;
import org.jgraph.util.*;
import org.jgraph.layout.*;
import org.jgraph.graph.DefaultGraphModel;


public class GlobalLayout extends LayoutTemplate
{
    public void		apply(VJGraph graph, Object[] cells)
    {
	apply(graph);
    }


    public void		apply(VJGraph graph)
    {
      // Put states on a line.
      QuadGraphLayout layout = new QuadGraphLayout();
      Object[] sel = VJGraph.get_selection(graph);
      layout.apply(graph, DefaultGraphModel.getAll(graph.getModel()), 1);

      // If there is more than 5 states, launch the circle layout algorithm.
      if (VJGraph.get_states(graph).length > 5)
      {
	CircleGraphLayout cllayout = new CircleGraphLayout();
	cllayout.apply(graph,
		       DefaultGraphModel.getAll(graph.getModel()));
      }

      // "Center" the graph.
      CenterGraphLayout clayout = new CenterGraphLayout();
      clayout.apply(graph, DefaultGraphModel.getAll(graph.getModel()));

      // Set geometry of transitions
      apply_to_transitions(graph, get_all_transitions(graph));

      Tools.refresh_view(graph);
    }
}
