
//TerminalTransition.java for vgi in /home/loulou/lrde_proj/vgi/src

//Made by Louis-Noel Pouchet
//Login   <loulou@lrde.epita.fr>

//Started on  Wed Mar  2 14:44:02 2005 Louis-Noel Pouchet
//Last update Tue Jun 21 01:01:57 2005 Louis-Noel Pouchet



package vaucanson.vgitoolkit;

import java.util.Map;


public class TerminalTransition extends TransitionTemplate
{
	TerminalTransition(State s, String label, boolean type, Map geom)
	{
		super();
		create_terminal_transition(s, label, null, type, geom);
	}


	TerminalTransition(State s,
			String label,
			String weight,
			boolean type,
			Map geom)
	{
		super();
		create_terminal_transition(s, label, weight, type, geom);
	}


	protected void		create_terminal_transition(State s,
			String label,
			String weight,
			boolean type,
			Map geom)
	{
		graph_model_ = s.graph_model_get();
		state_ = s;
		weight_ = weight;
		if (label.equals("1"))
			label_ = "";
		else
			label_ = label;
		update_label();
		type_ = type;
		VJTools.init_jgraph_attributes(this);
		VJTools.set_geometry(this);
		geometry_set(geom);
	}


	public State		state_get()
	{
		return state_;
	}


	public boolean		type_get()
	{
		return type_;
	}


	// Attributes.
	protected State		state_;
	protected boolean		type_;
}
